## org.apache.commons.math3.linear
Class NonSelfAdjointOperatorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.math3.exception.MathIllegalArgumentException
                          org.apache.commons.math3.linear.NonSelfAdjointOperatorException

All Implemented Interfaces:
  java.io.Serializable, ExceptionContextProvider

    public class NonSelfAdjointOperatorException

extends MathIllegalArgumentException

Exception to be thrown when a self-adjoint `RealLinearOperator` is expected. Since the coefficients of the matrix are not accessible, the most general definition is used to check that A is not self-adjoint, i.e. there exist x and y such as `| x' A y - y' A x | >= eps`, where `eps` is a user-specified tolerance, and `x'` denotes the transpose of `x`. In the terminology of this exception, `A` is the "offending" linear operator, `x` and `y` are the first and second "offending" vectors, respectively.

Since:
  3.0
Version:
  $Id: NonSelfAdjointOperatorException.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  Serialized Form

Field Summary
`private static long` `serialVersionUID` Serializable version Id.

Constructor Summary
`NonSelfAdjointOperatorException()` Creates a new instance of this class.

Method Summary

Methods inherited from class org.apache.commons.math3.exception.MathIllegalArgumentException
`getContext, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version Id.

  See Also:
    Constant Field Values

Constructor Detail

### NonSelfAdjointOperatorException

    public NonSelfAdjointOperatorException()

  Creates a new instance of this class.

Copyright (c) 2003-2013 Apache Software Foundation